using Edge.Core.Parser.BinaryParser.Attributes;
using HengshanPaymentTerminal.Support;
using System;
using System.Collections.Generic;
using System.Text;

namespace HengshanPaymentTerminal.MessageEntity.Outgoing
{
    public class DataBytesLength : CardMessageBase
    {
        public DataBytesLength() : base(Command.DataBytesLength)
        {

        }

        [Format(4, EncodingType.BIN, -90)]
        public int DataLength { get; set; }

        [Format(1, EncodingType.BIN, -89)]
        public DataContentType DataContentType { get; set; }
    }
}
